Elasticsearch 2.X 安裝 ik


以前,安裝 elasticsearch ik 中文插件要先自行編譯,在編譯失敗後,我就在作者的另一個 elasticsearch-RTF 計劃中把它編譯好的 ik 取出來用,如果你還是使用舊版的 elasticsearch ,請看這篇

現在,已經不用那麼麻煩了,因為有編譯好的版本,只要直接使用就可以了。


第一步,選擇你要使用的 ik 版本


請先到這裏,選擇適合你使用的 ik 版本:

我是用 elasticsearch 2.3.3,所以就用它建議的 ik 1.9.3。

複製你所需要的 zip 檔案連結,例如我的是 https://github.com/medcl/elasticsearch-analysis-ik/releases/download/v1.9.3/elasticsearch-analysis-ik-1.9.3.zip 。


第二步,安裝


到 elasticsearch 的安裝目錄中,用 bin/plugin 安裝,我的是在 /usr/share/elasticsearch/bin/plugin ,install 時記得把後面改成你需要的版本的連結。

/usr/share/elasticsearch/bin/plugin install https://github.com/medcl/elasticsearch-analysis-ik/releases/download/v1.9.3/elasticsearch-analysis-ik-1.9.3.zip
記得要更改連結喔。

第三步,設定


檢查 plugins/analysis-ik/config (我的路徑是 /usr/share/elasticsearch/plugins/analysis-ik/config ),如果它入面是空空如也,要把東西加回來(我使用 soft link)。

cd /usr/share/elasticsearch/plugins/analysis-ik/config
ln -s /etc/elasticsearch/analysis-ik/ik/

第四步,重啟


sudo systemctl restart elasticsearch
完成,現在安裝 elasticsearch ik 簡單多了。

留言

  1. 你好,請教配合ES-rtf 5.1.1是如何安裝較好呢?我一直不成功

    回覆刪除
    回覆
    1. /usr/share/elasticsearch/bin/elasticsearch-plugin install https://github.com/medcl/elasticsearch-analysis-ik/releases/download/v5.5.1/elasticsearch-analysis-ik-5.5.1.zip

      刪除

張貼留言

這個網誌中的熱門文章

如何在ubuntu中compile kernel(12.10)

如何在linux kernel 3.7中加入system call